From: root <root(a)linaro-ubuntu-desktop.(none)>
run sanity test for each functionality if present.
If functionality enabled, then run all respective
test cases. This patch also adds sanity checks for
cpuidle and sched_mc.
Signed-off-by: Rajagopal Venkat <rajagopal.venkat(a)linaro.org>
---
Test.mk | 17 ++++++++++++++---
cpuidle/cpuidle_sanity.sh | 35 +++++++++++++++++++++++++++++++++++
cpuidle/cpuidle_sanity.txt | 1 +
sched_mc/sched_sanity.sh | 35 +++++++++++++++++++++++++++++++++++
sched_mc/sched_sanity.txt | 1 +
5 files changed, 86 insertions(+), 3 deletions(-)
create mode 100755 cpuidle/cpuidle_sanity.sh
create mode 100644 cpuidle/cpuidle_sanity.txt
create mode 100755 sched_mc/sched_sanity.sh
create mode 100644 sched_mc/sched_sanity.txt
diff --git a/Test.mk b/Test.mk
index 1d69d7a..76f79b5 100644
--- a/Test.mk
+++ b/Test.mk
@@ -21,15 +21,22 @@
# Daniel Lezcano <daniel.lezcano(a)linaro.org> (IBM Corporation)
# - initial API and implementation
#
-
-TST=$(wildcard *.sh)
+SNT=$(wildcard *sanity.sh)
+TST=$(wildcard *[^(sanity)].sh)
LOG=$(TST:.sh=.log)
CFLAGS?=-g -Wall -pthread
CC?=gcc
SRC=$(wildcard *.c)
EXEC=$(SRC:%.c=%)
-check: uncheck $(EXEC) $(LOG)
+check: run_tests
+
+SANITY_STATUS:= $(shell if test $(SNT) && test -f $(SNT); then \
+ ./$(SNT); if test "$$?" -eq 0; then echo 0; else \
+ echo 1; fi; else echo 1; fi)
+
+ifeq "$(SANITY_STATUS)" "1"
+run_tests: uncheck $(EXEC) $(LOG)
%.log: %.sh
@echo "###"
@@ -38,6 +45,10 @@ check: uncheck $(EXEC) $(LOG)
@echo -n "### "; grep "URL :" ./$< | awk '/http/{print $$NF}'
@echo "###"
@./$< 2> $@
+else
+run_tests: $(SNT)
+ @cat $(<:.sh=.txt)
+endif
clean:
rm -f *.o $(EXEC)
diff --git a/cpuidle/cpuidle_sanity.sh b/cpuidle/cpuidle_sanity.sh
new file mode 100755
index 0000000..a8336fa
--- /dev/null
+++ b/cpuidle/cpuidle_sanity.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+# PM-QA validation test suite for the power management on Linux
+#
+# Copyright (C) 2011, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Contributors:
+# Rajagopal Venkat <rajagopal.venkat(a)linaro.org>
+# - initial API and implementation
+#
+
+source ../include/functions.sh
+
+check_cpuidle_sysfs_entry() {
+
+ local dirpath=$CPU_PATH/cpuidle
+
+ test -d $dirpath && return 1 || return 0
+}
+
+check_cpuidle_sysfs_entry
diff --git a/cpuidle/cpuidle_sanity.txt b/cpuidle/cpuidle_sanity.txt
new file mode 100644
index 0000000..03d3f7c
--- /dev/null
+++ b/cpuidle/cpuidle_sanity.txt
@@ -0,0 +1 @@
+cpuidle is not enabled. Skipping all cpudile tests...
diff --git a/sched_mc/sched_sanity.sh b/sched_mc/sched_sanity.sh
new file mode 100755
index 0000000..1b1b58b
--- /dev/null
+++ b/sched_mc/sched_sanity.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+# PM-QA validation test suite for the power management on Linux
+#
+# Copyright (C) 2011, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Contributors:
+# Daniel Lezcano <daniel.lezcano(a)linaro.org> (IBM Corporation)
+# - initial API and implementation
+#
+
+source ../include/functions.sh
+
+check_sched_mc_sysfs_entry() {
+
+ local filepath=$CPU_PATH/sched_mc_power_savings
+
+ test -f $filepath && return 1 || return 0
+}
+
+check_sched_mc_sysfs_entry
diff --git a/sched_mc/sched_sanity.txt b/sched_mc/sched_sanity.txt
new file mode 100644
index 0000000..c79c23e
--- /dev/null
+++ b/sched_mc/sched_sanity.txt
@@ -0,0 +1 @@
+sched_mc is not enabled. Skipping all sched_mc tests...
--
1.7.9.5
This patchset creates an arch_scale_freq_power function for ARM, which is used
to set the relative capacity of each core of a big.LITTLE system. It also removes
the broken power estimation of x86.
Modification since v2:
- set_power_scale function becomes static
- Rework loop in update_siblings_masks
- Remove useless code in parse_dt_topology
Modification since v1:
- Add and update explanation about the use of the table and the range of the value
- Remove the use of NR_CPUS and use nr_cpu_ids instead
- Remove broken power estimation of x86
Peter Zijlstra (1):
sched, x86: Remove broken power estimation
Vincent Guittot (4):
ARM: topology: Add arch_scale_freq_power function
ARM: topology: factorize the update of sibling masks
ARM: topology: Update cpu_power according to DT information
sched: cpu_power: enable ARCH_POWER
arch/arm/kernel/topology.c | 209 +++++++++++++++++++++++++++++++++++++-----
arch/x86/kernel/cpu/Makefile | 2 +-
arch/x86/kernel/cpu/sched.c | 55 -----------
kernel/sched/features.h | 2 +-
4 files changed, 189 insertions(+), 79 deletions(-)
delete mode 100644 arch/x86/kernel/cpu/sched.c
--
1.7.9.5
From: Eric van Tassell <evt(a)evtM17x.(none)>
Since my first attempt at doing this by analogy to what's already in
powerdebug(tree of sysfs files) was rejected because reviewers didn't
want to add a bunch more OMAP specific files to sysfs, I rewrote things
in userland.
There are a few basic chunks to the changes:
1) Add code to parse a CSV-like config file that defines a heirarchy
of whatever form you want where the leaves are fields in mmio
registers. Include decoders for the field values something easy to read
(ex: "off" instead of 0)
2) A code to build a tree that the powerdebug framework walks
from a CSV config file
3) A small bit of code to read the mmio regs via /dev/mem
4) One example config file each for Power & Voltage Domains.
It's all tested on OMAP4430(panda) but the config file mechanism
is completely general.
Eric van Tassell (7):
- add config files to define selected power domain and voltage domain
registers for OMAP4430 add delimi.* to parse config
files with clone of strchrnul
- add support for reading memory mapped I/O registers via /dev/mem
- add support to display fields of memory mapped I/O registers with
optional value decoding as defined by config files
- largest commit of this series. Provide an instance of the tree
abstraction used by powerdebug core that is built by parsing a
config file instead of walking a debugfs tree as, for example,
the sensor functionality does
- add display options for Voltage and Power domains - enable
extended display function call
- add options for power and voltage domains - call tree_mgr_new
to create the objects that implement them
- cleanup
Android.mk | 4 +-
Makefile | 4 +-
delimi.c | 106 +++++++++++++++++++
delimi.h | 30 ++++++
dirtree.c | 149 +++++++++++++++++++++++++++
dirtree.h | 22 ++++
display.c | 30 +++++-
display.h | 4 +-
mainloop.c | 2 +
mmioreg.c | 77 ++++++++++++++
mmioreg.h | 27 +++++
powerdebug.c | 56 +++++++++--
pwrdm.regdefs.omap4 | 33 ++++++
regfield.c | 279 +++++++++++++++++++++++++++++++++++++++++++++++++++
regfield.h | 52 ++++++++++
tree.c | 28 ++++++
tree.h | 11 +-
tree_mgr.c | 203 +++++++++++++++++++++++++++++++++++++
tree_mgr.h | 25 +++++
utils.c | 69 +++++++++++++
utils.h | 15 ++-
vdd.regdefs.omap4 | 68 +++++++++++++
22 files changed, 1275 insertions(+), 19 deletions(-)
create mode 100644 delimi.c
create mode 100644 delimi.h
create mode 100644 dirtree.c
create mode 100644 dirtree.h
create mode 100644 mmioreg.c
create mode 100644 mmioreg.h
create mode 100644 pwrdm.regdefs.omap4
create mode 100644 regfield.c
create mode 100644 regfield.h
create mode 100644 tree_mgr.c
create mode 100644 tree_mgr.h
create mode 100644 vdd.regdefs.omap4
--
1.7.9.5
Hello
We are a graduation project and we work on i.mx53 quick start board, We
need to run android on it and we don't know how to begin
any help, please ?
thanks
--
*Ahmed Elshafey*
CSED Student
Hello, linaro-dev,
When I boot the Ubuntu desktop image available from
http://releases.linaro.org/12.06/ubuntu/leb-panda/lt-panda-x11-base_2012062…
all I see is a black screen and the mouse pointer.
I see some messages on the console like
[ 13.996887] (stk) : timed out waiting for ldisc to be
un-installed
[ 15.145019] (stk) :ldisc installation timeout
and
[ 22.983459] omap-hdmi-audio-dai omap-hdmi-audio-dai: audio
not supported
[ 22.990631] omap-hdmi-audio-dai omap-hdmi-audio-dai: can't
open interface omap-hdmi-audio-dai: -19
My PandaBoard is connected to a Dell monitor with a native
resolution of 1680 x 1050. Is this a problem?
--
Thank you,
David Cullen
Greetings,
I've published the current version of the script used to maintain the
Linux Linaro kernel trees. It is still at early stages of the
development, and has a big room for enhancements and improvements.
Nevertheless, it can recreate the earlier trees from the pinned
manifests (and do some other stuff). For some more details see
https://wiki.linaro.org/Platform/DevPlatform/LinuxLinaroKernelTreeProcess#L…
If interested, you can use ll-fold.sh in the way described at the wiki
page above at your own risk :)
Thanks,
Andrey